#include "K29RushChargesHandlerComponent.h"

class AKiller;

void UK29RushChargesHandlerComponent::SetToFullCharge()
{

}

void UK29RushChargesHandlerComponent::OnMaximumChargesChanged(const float newValue)
{

}

float UK29RushChargesHandlerComponent::GetRechargeDuration() const
{
	return 0.0f;
}

float UK29RushChargesHandlerComponent::GetPercentageRemainingUntilNextCharge() const
{
	return 0.0f;
}

int32 UK29RushChargesHandlerComponent::GetMaximumCharges() const
{
	return 0;
}

AKiller* UK29RushChargesHandlerComponent::GetKiller() const
{
	return NULL;
}

int32 UK29RushChargesHandlerComponent::GetAvailableCharges() const
{
	return 0;
}

void UK29RushChargesHandlerComponent::AddSingleCharge()
{

}

UK29RushChargesHandlerComponent::UK29RushChargesHandlerComponent()
{

}
